> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# info about a suggested order import



## OpenAPI

````yaml https://integration.teceo.co/aos get /v1/orders/suggested/import/{importId}
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/orders/suggested/import/{importId}:
    get:
      tags:
        - 'Orders:'
      summary: info about a suggested order import
      operationId: OrderController_getSuggestedOrderImport_v1
      parameters:
        - name: importId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: info about a suggested order import
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestedOrderImportDTO'
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
        '404':
          description: >-
            client error response code indicates that the server can't find the
            requested resource
      security:
        - ApiKey: []
components:
  schemas:
    SuggestedOrderImportDTO:
      type: object
      properties:
        importStatus:
          type: string
          description: import current status
          enum:
            - SUCCESS
            - ERROR
            - PROCESSING
        orderCode:
          type: string
          description: imported order code. only available when importStatus is SUCCESS
        orderId:
          type: string
          description: imported order id. only available when importStatus is SUCCESS
        message:
          type: string
          description: import message. only available when importStatus is ERROR
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````